使用npm install gulp時報Cannot find module 'internal/fs'的錯

今天在執行npm install --save-dev gulp時給我報了一個錯,之前執行明明還可以的,頓時有點懵,然後回想了一下,哦,原來之前升級了一下node版本的,從4.4.4升級到了7.2.1。恩,不出意外就是nodenpm版本不匹配導致的了。

於是乎,sudo npm up -g npmnpm也升級到了最新版本4.1.0,再試一下npm install --save-dev gulp,OK了。

這麼水的流水賬。。。
其實就是純粹記錄下有這個問題存在,提醒自己以後遇到類似問題先考慮下版本問題。

發表評論
所有評論
還沒有人評論,想成為第一個評論的人麼? 請在上方評論欄輸入並且點擊發布.
相關文章